apiVersion: kubevirt.io/v1
kind: VirtualMachine
metadata:
  annotations:
    kubemacpool.io/transaction-timestamp: "2025-09-28T08:56:04.644818363Z"
    kubevirt.io/latest-observed-api-version: v1
    kubevirt.io/storage-observed-api-version: v1
    vm.kubevirt.io/validations: |
      [
        {
          "name": "minimal-required-memory",
          "path": "jsonpath::.spec.domain.memory.guest",
          "rule": "integer",
          "message": "This VM requires more memory.",
          "min": 1610612736
        }
      ]
  creationTimestamp: "2025-09-28T08:53:51Z"
  finalizers:
  - kubevirt.io/virtualMachineControllerFinalize
  generation: 2
  labels:
    app: rhel8-chocolate-salmon-47
    vm.kubevirt.io/template: rhel8-server-small
    vm.kubevirt.io/template.namespace: openshift
    vm.kubevirt.io/template.revision: "1"
    vm.kubevirt.io/template.version: v0.34.1
  name: rhel8-chocolate-salmon-47
  namespace: default
  resourceVersion: "3312043"
  uid: 26691757-6cb8-441d-918e-6bf76a49114a
spec:
  dataVolumeTemplates:
  - apiVersion: cdi.kubevirt.io/v1beta1
    kind: DataVolume
    metadata:
      creationTimestamp: null
      name: rhel8-chocolate-salmon-47
    spec:
      sourceRef:
        kind: DataSource
        name: rhel8
        namespace: openshift-virtualization-os-images
      storage:
        accessModes:
        - ReadWriteMany
        resources:
          requests:
            storage: 30Gi
        storageClassName: ocs-storagecluster-ceph-rbd-virtualization
        volumeMode: Block
  runStrategy: RerunOnFailure
  template:
    metadata:
      annotations:
        vm.kubevirt.io/flavor: small
        vm.kubevirt.io/os: rhel8
        vm.kubevirt.io/workload: server
      creationTimestamp: null
      labels:
        kubevirt.io/domain: rhel8-chocolate-salmon-47
        kubevirt.io/size: small
        network.kubevirt.io/headlessService: headless
    spec:
      architecture: amd64
      domain:
        cpu:
          cores: 1
          sockets: 1
          threads: 1
        devices:
          disks:
          - disk:
              bus: virtio
            name: rootdisk
          - disk:
              bus: virtio
            name: cloudinitdisk
          interfaces:
          - macAddress: 02:84:f7:4a:a9:3f
            model: virtio
            name: nic-harlequin-slug-68
            sriov: {}
          rng: {}
        firmware:
          serial: ca789145-1b56-46e6-b5c4-a7e14af88ab5
          uuid: 651b7be7-6f74-4ce4-b728-d9d7a5b41334
        machine:
          type: pc-q35-rhel9.6.0
        memory:
          guest: 3Gi
        resources: {}
      networks:
      - multus:
          networkName: sriov-network
        name: nic-harlequin-slug-68
      terminationGracePeriodSeconds: 180
      volumes:
      - dataVolume:
          name: rhel8-chocolate-salmon-47
        name: rootdisk
      - cloudInitNoCloud:
          userData: |-
            #cloud-config
            user: cloud-user
            password: 774f-70xf-otjw
            chpasswd: { expire: False }
        name: cloudinitdisk
status:
  conditions:
  - lastProbeTime: null
    lastTransitionTime: "2025-09-28T08:56:26Z"
    status: "True"
    type: Ready
  - lastProbeTime: null
    lastTransitionTime: null
    message: All of the VMI's DVs are bound and ready
    reason: AllDVsReady
    status: "True"
    type: DataVolumesReady
  - lastProbeTime: null
    lastTransitionTime: null
    status: "True"
    type: LiveMigratable
  - lastProbeTime: null
    lastTransitionTime: null
    status: "True"
    type: StorageLiveMigratable
  - lastProbeTime: "2025-09-28T08:55:17Z"
    lastTransitionTime: null
    status: "True"
    type: AgentConnected
  created: true
  desiredGeneration: 2
  observedGeneration: 1
  printableStatus: Running
  ready: true
  runStrategy: RerunOnFailure
  volumeSnapshotStatuses:
  - enabled: true
    name: rootdisk
  - enabled: false
    name: cloudinitdisk
    reason: Snapshot is not supported for this volumeSource type [cloudinitdisk]
